GNU bug report logs - #24807
aclocal: too many loops error with Autoconf archives macros

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: automake; Reported by: 夢巫子 (Yumiko) <yumiko@HIDDEN>; Keywords: moreinfo; merged with #23639; dated Thu, 27 Oct 2016 02:45:02 UTC; Maintainer for automake is bug-automake@HIDDEN.
Merged 23639 24807. Request was from Mathieu Lirzin <mthl@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'aclocal: too many loops error with Autoconf archives macros' from 'Bug' Request was from Mathieu Lirzin <mthl@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) moreinfo. Request was from Mathieu Lirzin <mthl@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24807 <at> debbugs.gnu.org:


Received: (at 24807) by debbugs.gnu.org; 15 Jul 2017 14:24:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 15 10:24:47 2017
Received: from localhost ([127.0.0.1]:40473 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dWNzv-0005ai-1b
	for submit <at> debbugs.gnu.org; Sat, 15 Jul 2017 10:24:47 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36116)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mthl@HIDDEN>) id 1dWNzq-0005aR-6e
 for 24807 <at> debbugs.gnu.org; Sat, 15 Jul 2017 10:24:41 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mthl@HIDDEN>) id 1dWNzh-00088o-JQ
 for 24807 <at> debbugs.gnu.org; Sat, 15 Jul 2017 10:24:33 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:59587)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <mthl@HIDDEN>)
 id 1dWNzh-00088k-Fn; Sat, 15 Jul 2017 10:24:29 -0400
Received: from arennes-653-1-267-199.w109-218.abo.wanadoo.fr
 ([109.218.42.199]:49014 helo=pc10.home)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <mthl@HIDDEN>)
 id 1dWNzg-0006eN-TG; Sat, 15 Jul 2017 10:24:29 -0400
From: Mathieu Lirzin <mthl@HIDDEN>
To: =?utf-8?B?5aSi5ber5a2Q?= (Yumiko) <yumiko@HIDDEN>
Subject: Re: bug#24807: Bug
References: <20161027014737.GA25292@HIDDEN>
Date: Sat, 15 Jul 2017 16:24:25 +0200
In-Reply-To: <20161027014737.GA25292@HIDDEN>
 (=?utf-8?B?IuWkognlt6vlrZA=?= (Yumiko)"'s message of "Thu, 27 Oct 2016
 03:47:37 +0200")
Message-ID: <877ez9ixra.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: 24807
Cc: 24807 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

Hello,

=E5=A4=A2=E5=B7=AB=E5=AD=90 (Yumiko) <yumiko@HIDDEN> w=
rites:

> $ autoreconf -if
> aclocal-1.15: overwriting 'm4/ax_cxx_compile_stdcxx.m4' \
>  with '/usr/share/aclocal/ax_cxx_compile_stdcxx.m4'
> aclocal-1.15: overwriting 'm4/ax_cxx_compile_stdcxx_11.m4' \
>  with '/usr/share/aclocal/ax_cxx_compile_stdcxx_11.m4'
> aclocal-1.15: installing 'm4/ax_require_defined.m4' \
>  from '/usr/share/aclocal/ax_require_defined.m4'
> aclocal-1.15: error: too many loops
> aclocal-1.15: Please contact <bug-automake@HIDDEN>.
>  at /usr/share/automake-1.15/Automake/Channels.pm line 662.
> 	Automake::Channels::msg("automake", "", "too many loops") \
>    called at /usr/share/automake-1.15/Automake/ChannelDefs.pm line 212
> 	Automake::ChannelDefs::prog_error("too many loops") \
>    called at /usr/bin/aclocal-1.15 line 1188
> autoreconf-2.69: aclocal failed with exit status: 255
>
> automake-1.15
> autoconf (GNU Autoconf) 2.69
>
> My system is Gentoo Linux. There might be patches.
> Starting autoreconf again with the same arguments finishes without
> errors. Shell is ZSH.
>
> configure.ac and Makefile.am are simple. Do you need them?

The issue seems to come from a bad interaction between aclocal and the
macros from the Autoconf Archive (m4/ax_....m4)

Can you recheck if the issue is still valid with Automake 1.15.1 and the
latest version of those macros from the autoconf archive?

If the issue is still here, a tarball including those macros and a
minimal example would help us debbuging it.

Thank you for the bug report.

--=20
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37




Information forwarded to bug-automake@HIDDEN:
bug#24807; Package automake. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Oct 2016 02:44:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 26 22:44:42 2016
Received: from localhost ([127.0.0.1]:58625 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bzagM-0002iZ-1S
	for submit <at> debbugs.gnu.org; Wed, 26 Oct 2016 22:44:42 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53274)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yumiko@HIDDEN>)
 id 1bzaMr-0002Fe-OU
 for submit <at> debbugs.gnu.org; Wed, 26 Oct 2016 22:24:35 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <yumiko@HIDDEN>)
 id 1bzaMl-0002pz-R8
 for submit <at> debbugs.gnu.org; Wed, 26 Oct 2016 22:24:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:50804)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <yumiko@HIDDEN>)
 id 1bzaMl-0002pq-OE
 for submit <at> debbugs.gnu.org; Wed, 26 Oct 2016 22:24:27 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44229)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <yumiko@HIDDEN>)
 id 1bzaMk-0001Jb-Ih
 for bug-automake@HIDDEN; Wed, 26 Oct 2016 22:24:27 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <yumiko@HIDDEN>)
 id 1bzaMg-0002lc-KL
 for bug-automake@HIDDEN; Wed, 26 Oct 2016 22:24:26 -0400
Received: from 89-72-94-161.dynamic.chello.pl ([89.72.94.161]:41920
 helo=honden.fumu-no-kagomeko.kueea.info)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <yumiko@HIDDEN>)
 id 1bzaMg-0002id-7x
 for bug-automake@HIDDEN; Wed, 26 Oct 2016 22:24:22 -0400
Received: by honden.fumu-no-kagomeko.kueea.info (Postfix, from userid 1006)
 id E5A2EEC435AB; Thu, 27 Oct 2016 03:47:37 +0200 (CEST)
DKIM-Filter: OpenDKIM Filter v2.10.3 honden.fumu-no-kagomeko.kueea.info
 E5A2EEC435AB
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple;
 d=fumu-no-kagomeko.kueea.info; s=20161003; t=1477532857;
 bh=0qmGSK9pVtTbAJIoG8B7w6wBBl7Qe0t/BOYI3oSqb/M=;
 h=Date:From:To:Subject;
 b=t/wK0HaWpM7HpNmET/VHmPcpbCK+yLiQitbVXEY91PYBmVeVWaJD3RLoeVIGLFOpj
 a1LiQQy8HuaKcXrc9hJCU+a2Pmi2o4y24rvVJ0fwe3JsPIPyEV0ZsJar6KbZ10B7sS
 D9Vwn9cRDVMRvKEDyU6alRaLvlvDekJHVXGUCV+A=
Date: Thu, 27 Oct 2016 03:47:37 +0200
From: =?utf-8?B?5aSi5ber5a2QIChZdW1pa28p?= <yumiko@HIDDEN>
To: bug-automake@HIDDEN
Subject: Bug
Message-ID: <20161027014737.GA25292@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="82I3+IH0IqGh5yIs"
Content-Disposition: inline
User-Agent: Mutt/1.7.0 (2016-08-17)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 26 Oct 2016 22:44:40 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)


--82I3+IH0IqGh5yIs
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline

$ autoreconf -if
aclocal-1.15: overwriting 'm4/ax_cxx_compile_stdcxx.m4' \
 with '/usr/share/aclocal/ax_cxx_compile_stdcxx.m4'
aclocal-1.15: overwriting 'm4/ax_cxx_compile_stdcxx_11.m4' \
 with '/usr/share/aclocal/ax_cxx_compile_stdcxx_11.m4'
aclocal-1.15: installing 'm4/ax_require_defined.m4' \
 from '/usr/share/aclocal/ax_require_defined.m4'
aclocal-1.15: error: too many loops
aclocal-1.15: Please contact <bug-automake@HIDDEN>.
 at /usr/share/automake-1.15/Automake/Channels.pm line 662.
	Automake::Channels::msg("automake", "", "too many loops") \
   called at /usr/share/automake-1.15/Automake/ChannelDefs.pm line 212
	Automake::ChannelDefs::prog_error("too many loops") \
   called at /usr/bin/aclocal-1.15 line 1188
autoreconf-2.69: aclocal failed with exit status: 255

automake-1.15
autoconf (GNU Autoconf) 2.69

My system is Gentoo Linux. There might be patches.
Starting autoreconf again with the same arguments finishes without
errors. Shell is ZSH.

configure.ac and Makefile.am are simple. Do you need them?

--82I3+IH0IqGh5yIs
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature

-----BEGIN PGP SIGNATURE-----

iQIcBAEBCAAGBQJYEVyyAAoJEO0yZSUiFBEvcUwP/1PuTzyY81km4SFQ9HPBbGhp
1nzNZoEmY51zIpJw1fBnk9o3O4h5hxkY8h7PoQlqMstt9EMT3imVNpDVMopcgrDT
Chwip6Jz8gX+2QCoShY80PHBpfEWAiidIwZEWVnZ+irxwbbaPjnAskdmPVECCP4s
eGVsKY7VXBUzJb0E/LcvA/NaWa900u8mdI/TFFL0PTTTsj2Muw01RnDFZPC00YgT
LoBDLpOJHF1RP1E+/t29+bCJSbH7gkNdEWcMqxqqyHyxy4ogShFVYScJM2dve9W4
YZw7NdAEqZoB4WfWJVAFrgvS8J1JvXg1mneRauYPXaPxPRjlgsgx47smpOKzs1E4
Gz1kJnjT0k3cFEC0kvvvu08S72MzoVFM45kJm9WDWo3jD0aijFfnbdUiWY/XTQiY
so7WvaPigRuMtj6B8/ziANTrRewtN9PE7pPwCU8Tmjd6GbGJwOnEtyJyC+f6wReX
DMb+iKvdqqE+TCmHpnoQo1lJAK6X++qBhGALgtXHjX6Rfs0wjDGjDPiUWd31j2E3
A6sqmWWOnpWuGtnlActsCZ/EK/FIl9ztU7zR2uKMQP64FBwTLsZOqqASK5D5Tw5K
rTxxKQu/GPw5rOFoUx6dXekjXaabEqbWkAS5O3ScEiRZRNPkYs5tqER+G3OMdve+
lwSorLAyomcyj+smF1du
=Y/Pv
-----END PGP SIGNATURE-----

--82I3+IH0IqGh5yIs--




Acknowledgement sent to 夢巫子 (Yumiko) <yumiko@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-automake@HIDDEN. Full text available.
Report forwarded to bug-automake@HIDDEN:
bug#24807; Package automake. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 16 Jul 2017 10:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.